## MarkEnvironmentActive **post** `/gitpod.v1.EnvironmentService/MarkEnvironmentActive` Records environment activity to prevent automatic shutdown. Activity signals should be sent every 5 minutes while the environment is actively being used. The source must be between 3-80 characters. ### Examples - Signal VS Code activity: Records VS Code editor activity to prevent environment shutdown. ```yaml environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048" activitySignal: source: "VS Code" timestamp: "2025-02-12T14:30:00Z" ``` ### Body Parameters - `activitySignal: optional EnvironmentActivitySignal` activity_signal specifies the activity. - `source: optional string` source of the activity signal, such as "VS Code", "SSH", or "Automations". It should be a human-readable string that describes the source of the activity signal. - `timestamp: optional string` timestamp of when the activity was observed by the source. Only reported every 5 minutes. Zero value means no activity was observed. - `environmentId: optional string` The ID of the environment to update activity for. ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.EnvironmentService/MarkEnvironmentActive \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json {} ```